#pragma once

// |ID1|ID2|CM |FLG|     MTIME     |XFL|OS 

#pragma pack(push)
#pragma pack(1)
struct gzFlags
{
	unsigned char FTEXT:1;
	unsigned char FHCRC:1;
	unsigned char FEXTRA:1;
	unsigned char FNAME:1;
	unsigned char FCOMMENT:1;
	unsigned char Reserved:3;
};

struct gzHeader
{
   unsigned char ID1;
   unsigned char ID2;
   unsigned char CM;
   union
	{
		struct
		{
			unsigned char FTEXT:1;
			unsigned char FHCRC:1;
			unsigned char FEXTRA:1;
			unsigned char FNAME:1;
			unsigned char FCOMMENT:1;
			unsigned char Reserved:3;
		};
		unsigned char FLG;
	};
   unsigned int MTIME;
   unsigned char XFL;
   unsigned char OS;
};

struct gzFooter
{
	unsigned int CRC32;
	unsigned int ISIZE;
};
#pragma pack(pop)

class Cgzipfile
{
public:
	Cgzipfile(void);
	~Cgzipfile(void);

	bool FromFile(const char *p_Filename);
//	bool ToFile(const char *p_Filename);

	LSBinary Data;
};
