#include "LSMTargz.h"
#define DATATYPE(_class_,_variable_,_inherits_) class _class_ *_variable_=0
#include "DataTypeList.h"
#undef DATATYPE

#define pTar ((Ctar*)ObjectData.Ptr)
bool LSTarType::GetMember(LSOBJECTDATA ObjectData, PLSTYPEMEMBER pMember, int argc, char *argv[], LSOBJECT &Object)
{
	if (!pTar)
		return false;
	switch(pMember->ID)
	{

	}
	return false;
}
bool LSTarType::GetMethod(LSOBJECTDATA &ObjectData, PLSTYPEMETHOD pMethod, int argc, char *argv[])
{
	if (!pTar)
		return false;
	switch(pMethod->ID)
	{
	case Open:
		if (argc)
		{
			char FullFilename[512];
			pTar->Clear();
			if (argc>1)
			{
				if (stricmp("-gzip",argv[0]))
					return false;
				Cgzipfile Temp;
				pLSInterface->SetRoot(argv[1],FullFilename);
				if (!Temp.FromFile(FullFilename))
					return false;
				return pTar->FromBuffer(Temp.Data.GetBuffer(),Temp.Data.GetUsed());
			}
			pLSInterface->SetRoot(argv[0],FullFilename);
			return pTar->FromFile(FullFilename);
		}
		return false;
	}
	return false;
}
bool LSTarType::ToText(LSOBJECTDATA ObjectData, char *buf, unsigned int buflen)
{
	return false;
}

bool LSTarType::InitVariable(LSOBJECTDATA &ObjectData, const char *SubType)
{
	if (SubType && SubType[0])
		return false;
	ObjectData.Ptr=new Ctar;
	return true;
}
void LSTarType::FreeVariable(LSOBJECTDATA &ObjectData)
{
	delete pTar;
}

bool LSTarType::FromText(LSOBJECTDATA &ObjectData, int argc, char *argv[])
{
	// ignore
	return true;
}
#undef pTar


#define pGZip ((Cgzipfile*)ObjectData.Ptr)
bool LSGZipType::GetMember(LSOBJECTDATA ObjectData, PLSTYPEMEMBER pMember, int argc, char *argv[], LSOBJECT &Object)
{
	if (!pGZip)
		return false;
	switch(pMember->ID)
	{

	}
	return false;
}
bool LSGZipType::GetMethod(LSOBJECTDATA &ObjectData, PLSTYPEMETHOD pMethod, int argc, char *argv[])
{
	if (!pGZip)
		return false;
	switch(pMethod->ID)
	{
	case Open:
		if (argc)
		{
			char FullFilename[512];
			pLSInterface->SetRoot(argv[0],FullFilename);
			return pGZip->FromFile(FullFilename);
		}
	}
	return false;
}
bool LSGZipType::ToText(LSOBJECTDATA ObjectData, char *buf, unsigned int buflen)
{
	return false;
}

bool LSGZipType::InitVariable(LSOBJECTDATA &ObjectData, const char *SubType)
{
	if (SubType && SubType[0])
		return false;
	ObjectData.Ptr=new Cgzipfile;
	return true;
}
void LSGZipType::FreeVariable(LSOBJECTDATA &ObjectData)
{
	delete pGZip;
}

bool LSGZipType::FromText(LSOBJECTDATA &ObjectData, int argc, char *argv[])
{
	// ignore
	return true;
}
#undef pGZip


